Subject: Re: bug#12148: 24.1.50; Tramp has problems with Solaris server (test -e)

From: Michael Albinus <[email-masked]>
Date: Wed, 08 Aug 2012 09:51:14 +0200

Carsten Bormann <[email-masked]> writes:

Hi Carsten,

> I hope I did this cache-cleaning right by just calling tramp-cleanup-all-connections.

It should do the job. However, in order to be on the safe side, please
stop Emacs, remove ~/.emacs.d/tramp, and restart Emacs.

> I'm afraid this one didn't quite work out.
> Also I'd love to know why this appears to be less than deterministic.

Strange. During my local tests of this patch, I did obfuscate the first
check in `tramp-find-file-exists-command', in order to provoke a syntax
error. It works fine here.

Please rerun the test from the beginning. And I need the debug buffer,
also from the beginning of the test, with `tramp-verbose' set to 9.

> Grüße, Carsten

Best regards, Michael.